%define name dvdauthor
%define version 0.6.11 
%define release 5mdk

Summary: A simple set of tools to help you author a DVD
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://optusnet.dl.sourceforge.net/sourceforge/dvdauthor/%{name}-%{version}.tar.bz2
#Patch0: %{name}-%{version}-noshow.patch
License: GPL
Group:	 Video 
Url: http://dvdauthor.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-devel >= 2.6.0
BuildRequires: freetype2-devel
BuildRequires: fribidi-devel
BuildRequires: bison flex
BuildRequires: png-devel
BuildRequires: zlib-devel
BuildRequires: ImageMagick-devel
BuildRequires: libdvdread-devel

%description
A simple set of tools to help you author a DVD.
The idea is to be able to create menus, buttons, chapters, etc.
But for now you can just take an mpeg stream 
(as created by mplex -f 8 from mjpegtools 1.6.0) and write it to DVD.

%prep
%setup -q
#%patch0
%configure2_5x

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/dvdauthor
%{_bindir}/dvddirdel
%{_bindir}/dvdunauthor
%{_bindir}/mpeg2desc
%{_bindir}/spumux
%{_bindir}/spuunmux
%{_mandir}/man1/*
%{_datadir}/%name

%changelog
* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.11-5mdk
- rebuilt against new Magick libs

* Mon Aug 15 2005 Marcel Pol <mpol@mandriva.org> 0.6.11-4mdk
- rebuild for new xorg

* Fri Aug 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.11-3mdk
- rebuilt against latest libMagick

* Tue Mar 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.6.11-2mdk
- rebuild for dependencies

* Sun Feb 13 2005 Austin Acton <austin@mandrake.org> 0.6.11-1mdk
- 0.6.11
- remove patch
- configure 2.5

* Sun Feb 13 2005 Marcel Pol <mpol@mandrake.org> 0.6.10-2mdk
- restore original changelog
- restore/adjust buildrequires
- rebuild for new ImageMagick

* Tue Aug 03 2004  <erwan@mandrakesoft.com> 0.6.10-1mdk
- Initial Release 

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.6.8-3mdk
- rebuild for new ImageMagick

* Mon Jan 12 2004 Franck Villaume <fvill@freesurf.fr> 0.6.8-2mdk
- add libdvdread-devel to buildrequires

* Wed Jan 7 2004 Austin Acton <austin@linux.ca> 0.6.8-1mdk
- 0.6.8
- add some buildrequires
- patch to build with recent freetyepe
- fix 9.2 conditional ;-)

* Mon Nov 03 2003 Marcel Pol <mpol@gmx.net> 0.6.0-3mdk
- buildrequires flex bison

* Tue Oct 28 2003 Marcel Pol <mpol@gmx.net> 0.6.0-2mdk
- remove requires (redundant)
- use better buildrequires for 9.2

* Wed Oct 22 2003 Svetoslav Slavtchev <svetoslav@users.sourceforge.net> 0.6.0-1mdk
- initial release

